package gov.va.med.pharmacy.persistence.service;

import java.util.List;

import gov.va.med.pharmacy.persistence.model.VaUser;

public interface UserService {

	public VaUser findById(long id);
	
	public VaUser findByVAUserID(String networkID);
	
	public void addNewVAUser(VaUser user);
	
	public void updateVAUser(VaUser user);
	
	public List<VaUser> findAllUsers();
	
	public void updateUserInfo(VaUser user);
	
	public void updateUsers(List<VaUser> users) throws Exception;
	
	public void deleteUsers(List<VaUser> users) throws Exception;
	
}
